| OpenGLRaw-1.1.0.1: A raw binding for the OpenGL graphics system | Source code | Contents | Index

Graphics.Rendering.OpenGL.Raw.EXT.TimerQuery

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Contents

Functions
Tokens
Types

Description
All raw functions, tokens and type from the EXT_timer_query extension, see http://www.opengl.org/registry/specs/EXT/timer_query.txt.
Synopsis

glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()
glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()
gl_TIME_ELAPSED :: GLenum
data GLint64
data GLuint64

Functions

glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO () | Source

glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO () | Source

Tokens

gl_TIME_ELAPSED :: GLenum | Source

Types

data GLint64 | Source

Instances

Bounded GLint64
Enum GLint64
Eq GLint64
Integral GLint64
Num GLint64
Ord GLint64
Read GLint64
Real GLint64
Show GLint64
Typeable GLint64
Storable GLint64
Bits GLint64

data GLuint64 | Source

Instances

Bounded GLuint64
Enum GLuint64
Eq GLuint64
Integral GLuint64
Num GLuint64
Ord GLuint64
Read GLuint64
Real GLuint64
Show GLuint64
Typeable GLuint64
Storable GLuint64
Bits GLuint64

Produced by Haddock version 2.4.2